module LibArchive_jll
using Libdl
is_available() = true
find_artifact_dir() = "/usr"
artifact_dir = "/usr"
const PATH_list = String[]
const LIBPATH_list = String[]
const PATH = Ref("")
const LIBPATH = Ref("")
const LIBPATH_env = "LD_LIBRARY_PATH"
export libarchive
const libarchive_path = "/usr/lib/libarchive.so.13"
libarchive_handle = C_NULL
get_libarchive_path() = libarchive_path
const libarchive = "libarchive.so.13"
export bsdcat
const bsdcat_path = "/usr/bin/bsdcat"
bsdcat(f::Function; kw...) = f(bsdcat_path)
bsdcat(; kw...) = Cmd([bsdcat_path])
export bsdcpio
const bsdcpio_path = "/usr/bin/bsdcpio"
bsdcpio(f::Function; kw...) = f(bsdcpio_path)
bsdcpio(; kw...) = Cmd([bsdcpio_path])
export bsdtar
const bsdtar_path = "/usr/bin/bsdtar"
bsdtar(f::Function; kw...) = f(bsdtar_path)
bsdtar(; kw...) = Cmd([bsdtar_path])
function __init__()
    global libarchive_handle = dlopen(libarchive_path)
end
end
